## r-cran-rspectra 0.13

=== DESCRIPTION ===
Package: RSpectra
Type: Package
Title: Solvers for Large-Scale Eigenvalue and SVD Problems
Version: 0.13-1
Date: 2018-05-22
Authors@R: c(
    person("Yixuan", "Qiu", , "yixuan.qiu@cos.name", c("aut", "cre")),
    person("Jiali", "Mei", , "vermouthmjl@gmail.com", "aut",
           comment = "Function interface of matrix operation"),
    person("Gael", "Guennebaud", , "gael.guennebaud@inria.fr", "ctb",
           comment = "Eigenvalue solvers from the 'Eigen' library"),
    person("Jitse", "Niesen", , "jitse@maths.leeds.ac.uk", "ctb",
           comment = "Eigenvalue solvers from the 'Eigen' library")
    )
Description: R interface to the 'Spectra' library
    <https://spectralib.org/> for large-scale eigenvalue and SVD
    problems. It is typically used to compute a few
    eigenvalues/vectors of an n by n matrix, e.g., the k largest eigenvalues,
    which is usually more efficient than eigen() if k << n. This package
    provides the 'eigs()' function that does the similar job as in 'Matlab',
    'Octave', 'Python SciPy' and 'Julia'. It also provides the 'svds()' function
    to calculate the largest k singular values and corresponding
    singular vectors of a real matrix. The matrix to be computed on can be
    dense, sparse, or in the form of an operator defined by the user.
License: MPL (>= 2)
URL: https://github.com/yixuan/RSpectra
BugReports: https://github.com/yixuan/RSpectra/issues
Depends: R (>= 3.0.2)
Imports: Matrix (>= 1.1-0), Rcpp (>= 0.11.5)
Suggests: knitr, rmarkdown, prettydoc
LinkingTo: Rcpp, RcppEigen (>= 0.3.2.2.0)
VignetteBuilder: knitr, rmarkdown, prettydoc
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-05-22 20:55:05 UTC; qyx
Author: Yixuan Qiu [aut, cre],
  Jiali Mei [aut] (Function interface of matrix operation),
  Gael Guennebaud [ctb] (Eigenvalue solvers from the 'Eigen' library),
  Jitse Niesen [ctb] (Eigenvalue solvers from the 'Eigen' library)
Maintainer: Yixuan Qiu <yixuan.qiu@cos.name>
Repository: CRAN
Date/Publication: 2018-05-22 22:37:53 UTC

## r-cran-rspectra 0.13-1

=== debian/changelog ===
r-cran-rspectra (0.13-1-1) unstable; urgency=medium

  * Initial release (closes: #914791)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Nov 2018 12:43:20 +0100

=== debian/control ===
Source: r-cran-rspectra
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-matrix (>= 1.1-0),
               r-cran-rcpp (>= 0.11.5),
               r-cran-rcppeigen
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rspectra
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rspectra.git
Homepage: https://cran.r-project.org/package=RSpectra

Package: r-cran-rspectra
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R solvers for large-scale eigenvalue and SVD problems
 This package provides a R interface to the 'Spectra' library
 <https://spectralib.org/> for large-scale eigenvalue and SVD
 problems. It is typically used to compute a few
 eigenvalues/vectors of an n by n matrix, e.g., the k largest eigenvalues,
 which is usually more efficient than eigen() if k << n. This package
 provides the 'eigs()' function that does the similar job as in 'Matlab',
 'Octave', 'Python SciPy' and 'Julia'. It also provides the 'svds()' function
 to calculate the largest k singular values and corresponding
 singular vectors of a real matrix. The matrix to be computed on can be
 dense, sparse, or in the form of an operator defined by the user.

## r-cran-rspectra 0.15-0

=== debian/changelog ===
r-cran-rspectra (0.15-0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 21:52:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-matrix (>= 1.1-0),
+               r-cran-matrix,
                r-cran-rcpp (>= 0.11.5),
-               r-cran-rcppeigen
-Standards-Version: 4.2.1
+               r-cran-rcppeigen (>= 0.3.3.3.0)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rspectra
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rspectra.git
 Homepage: https://cran.r-project.org/package=RSpectra

## r-cran-rspectra 0.16

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: RSpectra
 Type: Package
 Title: Solvers for Large-Scale Eigenvalue and SVD Problems
-Version: 0.13-1
-Date: 2018-05-22
+Version: 0.16-2
+Date: 2024-07-18
 Authors@R: c(
     person("Yixuan", "Qiu", , "yixuan.qiu@cos.name", c("aut", "cre")),
     person("Jiali", "Mei", , "vermouthmjl@gmail.com", "aut",
@@ -28,15 +28,15 @@
 Depends: R (>= 3.0.2)
 Imports: Matrix (>= 1.1-0), Rcpp (>= 0.11.5)
 Suggests: knitr, rmarkdown, prettydoc
-LinkingTo: Rcpp, RcppEigen (>= 0.3.2.2.0)
-VignetteBuilder: knitr, rmarkdown, prettydoc
-RoxygenNote: 6.0.1
+LinkingTo: Rcpp, RcppEigen (>= 0.3.3.3.0)
+VignetteBuilder: knitr, rmarkdown
+RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2018-05-22 20:55:05 UTC; qyx
+Packaged: 2024-07-18 12:37:45 UTC; dell
 Author: Yixuan Qiu [aut, cre],
   Jiali Mei [aut] (Function interface of matrix operation),
   Gael Guennebaud [ctb] (Eigenvalue solvers from the 'Eigen' library),
   Jitse Niesen [ctb] (Eigenvalue solvers from the 'Eigen' library)
 Maintainer: Yixuan Qiu <yixuan.qiu@cos.name>
 Repository: CRAN
-Date/Publication: 2018-05-22 22:37:53 UTC
+Date/Publication: 2024-07-18 15:30:05 UTC

## r-cran-rspectra 0.16-0

=== debian/changelog ===
r-cran-rspectra (0.16-0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:30 +0100

r-cran-rspectra (0.16-0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2019 22:27:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-cran-rcpp (>= 0.11.5),
                r-cran-rcppeigen (>= 0.3.3.3.0)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rspectra
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rspectra.git
 Homepage: https://cran.r-project.org/package=RSpectra

## r-cran-rspectra 0.16-1

=== debian/changelog ===
r-cran-rspectra (0.16-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 20 May 2022 11:56:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
-               r-cran-rcpp (>= 0.11.5),
-               r-cran-rcppeigen (>= 0.3.3.3.0)
-Standards-Version: 4.4.1
+               r-cran-rcpp,
+               r-cran-rcppeigen
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rspectra
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rspectra.git
 Homepage: https://cran.r-project.org/package=RSpectra
+Rules-Requires-Root: no
 
 Package: r-cran-rspectra
 Architecture: any

## r-cran-rspectra 0.16-2

=== debian/changelog ===
r-cran-rspectra (0.16-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 10 Oct 2024 11:26:44 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-matrix,
                r-cran-rcpp,
                r-cran-rcppeigen
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rspectra
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rspectra.git
 Homepage: https://cran.r-project.org/package=RSpectra
